# __gnu_cxx::throw_allocator_base< _Tp, _Cond > Class Template Reference
[Allocators]

Allocator class with logging and exception generation control. Intended to be used as an allocator_type in templatized code.Note: Deallocate not allowed to throw. More...

Inheritance diagram for __gnu_cxx::throw_allocator_base< _Tp, _Cond >:
[legend]

List of all members.

## Public Types

- typedef const value_type * const_pointer
- typedef const value_type & const_reference
- typedef ptrdiff_t difference_type
- typedef value_type * pointer
- typedef value_type & reference
- typedef size_t size_type
- typedef _Tp value_type

## Public Member Functions

- pointer allocate (size_type __n, std::allocator< void >::const_pointer hint=0)
- void check_allocated (size_type __n)
- void check_allocated (void *p, size_t size)
- void check_allocated (pointer __p, size_type __n)
- void check_allocated (size_t label)
- template<typename... _Args> void construct (pointer __p, _Args &&...__args)
- void construct (pointer __p, const value_type &val)
- void deallocate (pointer __p, size_type __n)
- void destroy (pointer __p)
- void erase (void *p, size_t size)
- void insert (void *p, size_t size)
- size_type max_size () const throw ()

## Static Public Member Functions

- static size_t get_label ()
- static void set_label (size_t l)

## Detailed Description

### template<typename _Tp, typename _Cond>
class __gnu_cxx::throw_allocator_base< _Tp, _Cond >

Allocator class with logging and exception generation control. Intended to be used as an allocator_type in templatized code.

Note: Deallocate not allowed to throw.

Definition at line 598 of file throw_allocator.h.

The documentation for this class was generated from the following file:

- throw_allocator.h